Sophie

Sophie

distrib > Mandriva > cs4.0 > i586 > by-pkgid > f5507b48aec612639a784c04b559fbe9 > scriptlet

nxnode-2.0.0-98.i386.rpm

PREIN

/bin/sh
#!/bin/sh
NODE_ROOT="/usr/NX";

sleep 1

PREUN

/bin/sh
#!/bin/sh

if [ "$1" = 0 ];
then
  if test -x /usr/NX/scripts/setup/nxnode ;
  then
    cp -fp /usr/NX/scripts/setup/nxnode /usr/NX/scripts/setup/nxnode.uninstall
  fi
fi

sleep 1

POSTIN

/bin/sh
#!/bin/sh

NODE_ROOT="/usr/NX";

if [ "$1" = 1 ];
then
  if [ -f "$NODE_ROOT/etc/node.conf" -o -f "$NODE_ROOT/etc/node.cfg" ]; 
  then
    /usr/NX/scripts/setup/nxnode --update
  else 
    /usr/NX/scripts/setup/nxnode --install
  fi
fi

if [ "$1" -gt 1 ];
then
  /usr/NX/scripts/setup/nxnode --update
fi

sleep 1

POSTUN

/bin/sh
#!/bin/sh

NODE_ROOT="/usr/NX";

if [ "$1" = 0 ];
then
if [ ! -f "$NODE_ROOT/scripts/setup/nxnode.uninstall" ];
  then
    echo "Warning: Cannot execute '$NODE_ROOT/scripts/setup/nxnode.uninstall --uninstall': File doesn't exist." 1>&2
    echo "Warning: Postuninstall script cannot be completed." 1>&2
    exit 0
  fi
  if test -x /usr/NX/scripts/setup/nxnode.uninstall ;
  then
    /usr/NX/scripts/setup/nxnode.uninstall --uninstall
    if [ "$?" != 0 ];
    then
      exit 1;
    fi
    rm -f /usr/NX/scripts/setup/nxnode.uninstall
  else
    echo "Cannot execute '/usr/NX/scripts/setup/nxnode.uninstall'."
    echo "Uninstall failed."
    echo "Please remove NX Server files from '/usr/NX' directory."
  fi
fi


sleep 1